# initSubsequentOptionSelect | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function initSubsequentOptionSelect

- initSubsequentOptionSelect(optionSelectSettings: OptionSelectSettings ): void

  Can be used to queue a new series of Options to select for an Encounter MUST be used only in onOptionPhase, will not work in onPreOptionPhase or onPostOptionPhase

  #### Parameters

  - optionSelectSettings: OptionSelectSettings

  #### Returns void

  - Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:838